Search
K
FGA-Service

Delegate access to an assistant

Allows an agent to delegate their access to an assistant agent, except for super admin roles.

post
https://qa.api.zinnia.io/fga/v1/access/delegation/{assistantId}

Path Parameters

assistantIdstringrequired

ID of the assistant to delegate permissions to

Response

200 application/json

Delegation successful

AgentDelegationResponse

createdarray[object]
Show Child Parameters
post/fga/v1/access/delegation/{assistantId}
 
200 application/json

List all objects in relation with the user

List all objects in relation with the user

post
https://qa.api.zinnia.io/fga/v1/list

Body

application/json

ListObjectsRequest

userstringrequired

party reference Id prefixed with party, so 495f40f49d8f415fa59e99716d59f6e9 is party:495f40f49d8f415fa59e99716d59f6e9

Example:party:495f40f49d8f415fa59e99716d59f6e9

relationstringrequired

the permission to check on the resource, usually described by access + _ + resource example: read_policy

Example:read_policy

typestringrequired

resource to check against, checking access for policy would be policy

Example:policy

Response

200 application/json

OK

ListObjectsResponse

objectsarray[string]

Example:["policy:1234"]

post/fga/v1/list

Body

{ "user": "party:495f40f49d8f415fa59e99716d59f6e9", "relation": "read_policy", "type": "policy" }
 
200 application/json

Get All Available Permissions

gets all permissions

get
https://qa.api.zinnia.io/fga/v1/permissions

Response

200
get/fga/v1/permissions
 
200

Create Permission

creates a new permission

post
https://qa.api.zinnia.io/fga/v1/permissions

Body

application/json

CreatePermissionDto

descriptionstringrequired

description of the permission

Example:api view access for policy resource

labelstringrequired

permission descriptive name

Example:Read Policy

permissionstringrequired

fga tuple id name

Example:read_policy

dateCreatedstring(date-time)

timestamp it occured

Example:2023-12-06T18:36:35.846Z

Response

201
post/fga/v1/permissions

Body

{ "description": "api view access for policy resource", "label": "Read Policy", "permission": "read_policy" }
 
201

Delete Permission

deletes a permission

delete
https://qa.api.zinnia.io/fga/v1/permissions/{permission}

Path Parameters

permissionstringrequired

Response

200
delete/fga/v1/permissions/{permission}
 
200